Bug 1000949 - Review Request: ttfautohint - Automated hinting utility for TrueType fonts
Review Request: ttfautohint - Automated hinting utility for TrueType fonts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
: 838720 (view as bug list)
Depends On:
Blocks: DESIGN-SW
  Show dependency treegraph
 
Reported: 2013-08-26 03:55 EDT by Christopher Meng
Modified: 2013-12-13 22:19 EST (History)
4 users (show)

See Also:
Fixed In Version: ttfautohint-0.97-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-04 01:58:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
zbyszek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-08-26 03:55:06 EDT
Spec URL: http://cicku.me/ttfautohint.spec
SRPM URL: http://cicku.me/ttfautohint-0.96-1.fc21.src.rpm

Description: This is a utility which takes a TrueType font as the input, removes its 
bytecode instructions (if any), and returns a new font where all glyphs 
are bytecode hinted using the information given by FreeType's autohinting 
module. The idea is to provide the excellent quality of the autohinter on 
platforms which don't use FreeType.

Fedora Account System Username: cicku
Comment 1 Christopher Meng 2013-09-24 04:53:53 EDT
*** Bug 838720 has been marked as a duplicate of this bug. ***
Comment 2 Zbigniew Jędrzejewski-Szmek 2013-11-10 17:57:00 EST
rpmlint ttfautohint:

ttfautohint.x86_64: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, decorate
ttfautohint.x86_64: W: spelling-error %description -l en_US glyphs -> glyph, glyph s
ttfautohint.x86_64: W: spelling-error %description -l en_US autohinting -> auto hinting, auto-hinting, autographing
ttfautohint.x86_64: W: spelling-error %description -l en_US autohinter -> auto hinter, auto-hinter, intrauterine
Please don't change autohinter to intrauterine :)

ttfautohint.x86_64: W: file-not-utf8 /usr/share/doc/ttfautohint/FTL.TXT
It appears to be latin1, and it's just the © symbol in the Introduction, so not crucial. But it would be nice to fix the file.

ttfautohint.x86_64: W: no-manual-page-for-binary ttfautohint
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

% rpmlint ttfautohint-gui
ttfautohint-gui.x86_64: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, decorate
ttfautohint-gui.x86_64: W: spelling-error %description -l en_US glyphs -> glyph, glyph s
ttfautohint-gui.x86_64: W: spelling-error %description -l en_US autohinting -> auto hinting, auto-hinting, autographing
ttfautohint-gui.x86_64: W: spelling-error %description -l en_US autohinter -> auto hinter, auto-hinter, intrauterine
ttfautohint-gui.x86_64: W: file-not-utf8 /usr/share/doc/ttfautohint-gui/FTL.TXT
ttfautohint-gui.x86_64: W: no-manual-page-for-binary ttfautohintGUI


- URLs work, sources are OK
! version 0.97 is available
- license is OK, files present
- gnulib is bundled, which is OK.
- package name is sane
- Docs are 1.7MB, probably not worth splitting out.
! There's an issue that -gui has an (identical) copy of the docs.

Very nice and clean package.
Comment 3 Christopher Meng 2013-11-13 23:18:12 EST
The identical docs are needed as -gui is a dependent package which doesn't need to require main package:

%package        gui
Summary:        GUI for %{name} based on Qt4


For the file-not-utf8 issue, I think it can be ignored.

-----------------

Spec URL: http://cicku.me/ttfautohint.spec
SRPM URL: http://cicku.me/ttfautohint-0.97-1.fc21.src.rpm
Comment 4 Zbigniew Jędrzejewski-Szmek 2013-11-13 23:51:47 EST
(In reply to Christopher Meng from comment #3)
> The identical docs are needed as -gui is a dependent package which doesn't
> need to require main package:
> 
> %package        gui
> Summary:        GUI for %{name} based on Qt4
OK. But I think that the docs should not be *installed* twice. ttfautohint-gui can contain stuff in /usr/share/docs/ttfautohint, so that the user doesn't get a 1.5 MB hit on installing both. Just a suggestion.

> For the file-not-utf8 issue, I think it can be ignored.
OK.

> -----------------
> 
> Spec URL: http://cicku.me/ttfautohint.spec
> SRPM URL: http://cicku.me/ttfautohint-0.97-1.fc21.src.rpm

Package is APPROVED.
Comment 5 Christopher Meng 2013-11-14 00:17:29 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #4)
> (In reply to Christopher Meng from comment #3)
> > The identical docs are needed as -gui is a dependent package which doesn't
> > need to require main package:
> > 
> > %package        gui
> > Summary:        GUI for %{name} based on Qt4
> OK. But I think that the docs should not be *installed* twice.
> ttfautohint-gui can contain stuff in /usr/share/docs/ttfautohint, so that
> the user doesn't get a 1.5 MB hit on installing both. Just a suggestion.

Any idea of using /usr/share/doc/ttfautohint but not /usr/share/doc/ttfautohint-doc for 2 packages?
Comment 6 Zbigniew Jędrzejewski-Szmek 2013-11-14 01:08:36 EST
 %files gui
-%doc AUTHORS COPYING NEWS README THANKS TODO *.TXT
-%doc doc/img doc/ttfautohint.{html,pdf,txt}
+%doc %{_pkgdocdir}/
 %{_bindir}/ttfautohintGUI
Comment 7 Christopher Meng 2013-11-14 02:34:47 EST
Fine, thanks.

New Package SCM Request
=======================
Package Name: ttfautohint
Short Description: Automated hinting utility for TrueType fonts
Owners: cicku
Branches: f19 f20
InitialCC:
Comment 8 Jon Ciesla 2013-11-14 07:56:43 EST
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-11-19 19:54:05 EST
ttfautohint-0.97-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ttfautohint-0.97-1.fc19
Comment 10 Fedora Update System 2013-11-19 20:00:40 EST
ttfautohint-0.97-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ttfautohint-0.97-1.fc20
Comment 11 Fedora Update System 2013-11-23 14:51:25 EST
ttfautohint-0.97-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 12 Fedora Update System 2013-12-04 01:58:36 EST
ttfautohint-0.97-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 13 Fedora Update System 2013-12-13 22:19:43 EST
ttfautohint-0.97-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.